Get chat media
curl --request GET \
--url https://api.ofauth.com/v2/access/chats/:userId/media \
--header 'apiKey: <api-key>' \
--header 'x-connection-id: <api-key>'import requests
url = "https://api.ofauth.com/v2/access/chats/:userId/media"
headers = {
"apiKey": "<api-key>",
"x-connection-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>', 'x-connection-id': '<api-key>'}};
fetch('https://api.ofauth.com/v2/access/chats/:userId/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"id": 123,
"text": "<string>",
"fromUser": {
"id": 123,
"name": "<string>"
},
"media": [
{
"id": 123,
"convertedToVideo": true,
"canView": true,
"hasError": true,
"createdAt": "<string>",
"isReady": true,
"releaseForms": [
{
"id": 123,
"name": "<string>",
"partnerSource": "<string>",
"type": "<string>",
"user": {
"view": "<string>",
"id": 123,
"name": "<string>",
"username": "<string>",
"isVerified": true,
"avatar": "<string>",
"avatarThumbs": {
"c50": "<string>",
"c144": "<string>"
},
"ivStatus": "<string>",
"isFromGuest": true
}
}
],
"duration": 123,
"hasCustomPreview": true,
"videoSources": {
"240": "<string>",
"720": "<string>"
},
"files": {
"full": {
"url": "<string>",
"sources": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"thumb": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
},
"preview": {
"url": "<string>",
"options": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"squarePreview": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
}
}
}
],
"previews": [
123
],
"isMediaReady": true,
"mediaCount": 123,
"lockedText": true,
"responseType": "<string>",
"giphyId": "<string>",
"isFree": true,
"isTip": true,
"isReportedByMe": true,
"isCouplePeopleMedia": true,
"queueId": 123,
"isMarkdownDisabled": true,
"releaseForms": null,
"isFromQueue": true,
"canUnsendQueue": true,
"unsendSecondsQueue": 123,
"isOpened": true,
"isNew": true,
"createdAt": "<string>",
"changedAt": "<string>",
"cancelSeconds": 123,
"isLiked": true,
"canPurchase": true,
"canPurchaseReason": "<string>",
"canReport": true,
"canBePinned": true,
"isPinned": true,
"replyToMessage": {
"id": 123,
"text": "<string>",
"fromUser": {
"id": 123,
"name": "<string>"
},
"media": [
{
"id": 123,
"convertedToVideo": true,
"canView": true,
"hasError": true,
"createdAt": "<string>",
"isReady": true,
"releaseForms": [
{
"id": 123,
"name": "<string>",
"partnerSource": "<string>",
"type": "<string>",
"user": {
"view": "<string>",
"id": 123,
"name": "<string>",
"username": "<string>",
"isVerified": true,
"avatar": "<string>",
"avatarThumbs": {
"c50": "<string>",
"c144": "<string>"
},
"ivStatus": "<string>",
"isFromGuest": true
}
}
],
"duration": 123,
"hasCustomPreview": true,
"videoSources": {
"240": "<string>",
"720": "<string>"
},
"files": {
"full": {
"url": "<string>",
"sources": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"thumb": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
},
"preview": {
"url": "<string>",
"options": [
{
"url": "<string>",
"width": 123,
"height": 123,
"type": "<string>"
}
],
"width": 123,
"height": 123,
"size": 123
},
"squarePreview": {
"url": "<string>",
"width": 123,
"height": 123,
"size": 123
}
}
}
],
"previews": [
123
],
"isMediaReady": true,
"mediaCount": 123,
"lockedText": true,
"responseType": "<string>",
"giphyId": "<string>",
"isFree": true,
"isTip": true,
"isReportedByMe": true,
"isCouplePeopleMedia": true,
"queueId": 123,
"isMarkdownDisabled": true,
"releaseForms": null,
"isFromQueue": true,
"canUnsendQueue": true,
"unsendSecondsQueue": 123,
"isOpened": true,
"isNew": true,
"createdAt": "<string>",
"changedAt": "<string>",
"cancelSeconds": 123,
"isLiked": true,
"canPurchase": true,
"canPurchaseReason": "<string>",
"canReport": true,
"canBePinned": true,
"isPinned": true
}
}
],
"hasMore": true,
"nextLastId": "<string>"
}Media
Get chat media
Get media from a chat. Use the type query parameter to filter by media type: ‘photos’, ‘videos’, or ‘audios’. Omit type to get all media.
Permission Required: messages:read
GET
/
v2
/
access
/
chats
/
:userId
/
media
Get chat media
Authorizations
Requires a connection via the x-connection-id header.
Path Parameters
Pattern:
^\d+$Query Parameters
Number of items to return (1-100, default: 10)
Required range:
1 <= x <= 100Number of items to skip (default: 0)
Required range:
x >= 0Users to skip
Pagination cursor
Filter by opened status
Available options:
0, 1, true, false Filter by media type
Available options:
photos, videos, audios Was this page helpful?
⌘I